using AutoMapper;
using Microsoft.Extensions.DependencyInjection;

namespace SecureSharing.Business.Infrastructure.Extensions;

public static class StartupExtensions
{
    public static void ConfigureServices(IServiceCollection services)
    {
        Data.Extensions.StartupExtensions.ConfigureServices(services);


        // TODO: add all missing services

        var mapperConfiguration = new MapperConfiguration(mc => { mc.AddProfile(new MapperProfile()); });

        var mapper = mapperConfiguration.CreateMapper();
        services.AddSingleton(mapper);

        //services.AddLocalization(options => options.ResourcesPath = "Infrastructure/Resources");
    }
}